
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>J2EE中RequestDispatcher.forward()和response.sendRedirect()的区别详谈 / iVAN</title>

    <meta name="description" content="J2EE中RequestDispatcher.forward()和response.sendRedirect()的区别详谈 一.RequestDispatcher.forward() 在服务器端运行.采用采用请求转发,request对象始终存在,不会重新创建,前后页面共享同一个request.重定向后浏览器地址栏URL不变. public void doPost(HttpServletRequest request,HttpServletResponse response) throws ServletException,IOException { response.setContentType(&quot;text ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">J2EE中RequestDispatcher.forward()和response.sendRedirect()的区别详谈</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、RequestDispatcher.forward()</strong></p>
<p>在服务器端运行。采用采用请求转发，request对象始终存在，不会重新创建，前后页面共享同一个request。重定向后浏览器地址栏URL不变。</p>
<p>public void doPost(HttpServletRequest request,HttpServletResponse response) throws ServletException,IOException<br />
{<br />
　response.setContentType("text/html; charset=gb2312");<br />
　ServletContext sc = getServletContext();<br />
　RequestDispatcher rd = null;<br />
　rd = sc.getRequestDispatcher("/index.JSP");<br />
　rd.forward(request, response);<br />
}</p>
<p> </p>
<p><strong>二、response.sendRedirect()</strong></p>
<p>在用户的浏览器端工作。重新定向，前后页面不共享一个request。重定向后在浏览器地址栏上会出现重定向页面的URL。</p>
<p>public void doPost(HttpServletRequest request,HttpServletResponse response) throws ServletException,IOException<br />
{<br />
　response.setContentType("text/html; charset=gb2312");<br />
　response.sendRedirect("/index.JSP");<br />
}</p>
<p><strong>三、注意点</strong></p>
<p>其他一些注意点参看原帖地址的博文。</p>
<p>原帖地址:http://www.cnblogs.com/phpzxh/archive/2010/02/01/1661137.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 05:27:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>J2EE中RequestDispatcher.forward()和response.sendRedirect()的区别详谈的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mqg97Rz.html" rel="bookmark">在servlet中out&period;flush&lpar;&rpar; 和 response&period;sendRedirect&lpar;&rpar; 互相影响</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我的代码为:publicvoiddoPost(HttpServletRequestrequest,HttpServletResponseresponse)throwsServletException,IOException{response.setCharacterEncoding(&quot;GBK&quot;);PrintWriterout=response.getWriter();if(!validator.equals(in_validateCode)){out.println(&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6mmwz.html" rel="bookmark">J2EE中input属性disabled和readOnly的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				disabled--禁用,一旦禁用,表单提交不了它的值. readonly --只读,一旦只读,不能修改,但是可以提交它的值.   当然,asp.net中处理只读控件的问题是不同的 请看博文&lt;asp.net中TextBox设为只读后的取值问题 &gt; http://blog.csdn.net/woshixuye/article/details/7259854  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQL16z.html" rel="bookmark">jsp中页面之间的跳转forward与sendRedirect的区别&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				页面之间的跳转可以通过两种方式实现:forward和sendRedirect. forward:可以在JSP页面中使用,可以在Servlet中实现. 在JSP页面中使用&lt;jsp:forward page=&quot;目标文件&quot;/&gt;,例如要跳转到userlist.jsp,可以写: 复制代码 代码如下: &lt;jsp:forward page=&quot;userlist.jsp&quot;/&gt; 在Servlet中使用RequestDispatcher的forward方法,要跳转			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPPjBM.html" rel="bookmark">JSP中forward&lpar;&rpar;与sendRedirect&lpar;&rpar;的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jsp的页面跳转有两种方法:RequestDispatcher.forward()方法和HttpServletResponse.sendRedirect()方法. 它们的区别是: RequestDispatcher.forward()方法仅是容器中控制权的转向,在客户端浏览器地址栏中不会显示出转向后的地址,他是不会改变Request的值,如果需要在下一个页面中能从中获 取新的信息的话,可以Request.setAttribute()来放置一些标志,这样从下一个页面中获取.其写法如下: try{			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6wgBAp.html" rel="bookmark">&amp;lt&semi;jsp&colon;forward&amp;gt&semi;、requestDispatcher和sendRedirect&lpar;&rpar;的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.会话信息保存在服务器内存上,可以断续访问,和cookie相比,其保存在服务器上. 2.男人就像蓝牙:只有在你接近时,他才会找上你.当你离开后,他便又去找其他的&quot;设备&quot;了.女人就像Wi-Fi:她能看到周围所有的&quot;设备&quot;,但只选择强壮的那个&quot;接入&quot;. 3.会话关闭:浏览器关闭,主动关闭,会话超时 4.会话底层实现:cookie和url重写(保存的是sessionID,就是调用response.encodeURL,那么自动加上id) 5.sessi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq5ekM.html" rel="bookmark">jsp中forword和sendRedirect的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|redirect|word|区别 1.RequestDispatcher.forward() 是在服务器端起作用,当使用forward()时,Servlet engine传递HTTP请求从当前的Servlet or JSP到另外一个Servlet,JSP 或普通HTML文件,也即你的form提交至a.jsp,在a.jsp用到了forward()重定向至b.jsp,此时form提交的所有信息在 b.jsp都可以获得,参数自动传递. 但forward ()无法重定向至有frame的jsp文件,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkw1wb.html" rel="bookmark">J2EE中EL和JSTL结合运用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里的例子只是简单的Servlet+JSP,没有用到框架,如果用到Struts的话,只要符合Struts中Action标准,或者直接用Struts标签替代就可以了.   ToMainAction public class ToMainAction extends HttpServlet {  private IBoarderDao boardDao = new BoardDaoImpl();  private ITopicDao topicDao = new TopicDaoImpl();  p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrLyVM.html" rel="bookmark">J2EE中HTTP method GET&sol;Post is not supported by this URL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  原因: 1,继承自HttpServlet的Servlet没有重写对于请求和响应的处理方法:doGet或doPost等方法:默认调用父类的doGet或doPost等方法: 2,父类HttpServlet的doGet或doPost等方法覆盖了你重写的doGet或doPost等方法: 不管是1或2,父类HttpServlet的doGet或doPost等方法的默认实现是返回状态代码为405的HTTP错误表示对于指定资源的请求方法不被允许.   解决方法: 1,子类重写doGet或doPost等方法:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrq6oOb.html" rel="bookmark">j2ee中如何拦截jsp页面？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 就及我有一个登录,登录成功页及welcome.jsp..但我在地址栏里直接输入welcome.jsp也可以访问,,我如何当地址栏里输入welcome.jsp的时候他自动跳转到login.jsp页面中呢???我听说好像要用getRequestUrl来获取..但不知道怎么弄..请哪们仁兄帮个忙.说详细点.谢谢问题补充:这样不是每次请求都是到login.jsp去了吗??如果用户打开了welcome.jsp,他再次打开的时候不是也是到login.jsp去了..我就是要判断它session中有没			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9xGkb.html" rel="bookmark" class="title">PS数码后期各种光影的处理手法理论与实例解析教程</a>
					<div>
						阴影对于任何图像处理都是非常重要的,因为它与灯光总是形影不离,如果阴影被正确的使用,那么你可以得到非常惊叹的效果. 在这个教程中,我会告诉你一些巧妙使用photoshop来创建逼真的阴影与灯光的方法. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwjXEp.html" rel="bookmark" class="title">PHP脚本的10个技巧（转自ZDNet） --动态创建图象</a>
					<div>
						创建|动态|技巧|脚本 动态创建图象 在安装了某些第三方函数库之后,结合你的图形处理技能,你就可以用PHP创建和处理图像了.事实上,你也不需要太高的几何学知识.我在中学的时候这门功课总是不及格,现在不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWqgrz.html" rel="bookmark" class="title">Photoshop CS5混合器画笔工具轻易画出漂亮的画面</a>
					<div>
						很多朋友说自己没有绘画基础,不知道如何画出漂亮的图画来.Photoshop CS5开发的混合器画笔工具可以让不懂绘画的人轻易画出漂亮的画面. 如果是美术专业的朋友使用它,更是如虎添翼. 混合器画笔工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6RKoM.html" rel="bookmark" class="title">SQL Server Views</a>
					<div>
						server begin: SQL Server Views Posted by scott on 2004年11月28日 An RDBMS uses a view to create a virtu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo62m3z.html" rel="bookmark" class="title">SPOJ Problem Set 2&period; Prime Generator 求某区间质数题解</a>
					<div>
						题目大意: 给定两个数,要求产生这两个数之间的所有质数. 两个数位m和n,其范围如下: The input begins with the number t of test cases in a si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7xowb.html" rel="bookmark" class="title">PS调出人物图片个性的暗青中性色</a>
					<div>
						效果图的色调非常有个性,主色以暗调青蓝色为主,色调不是很明显.不过正是这种淡中性色的图片显得非常有艺术感,能够很好的用视觉效果来表现情感. 原图 最终效果  1.打开原图素材,双击把背景图层解锁,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NKE0z.html" rel="bookmark" class="title">火星WIFI掉线怎么办？</a>
					<div>
						  火星WIFI掉线怎么办?现在,很多人都在使用火星WiFi.安装火星WiFi,无需额外购买无线路由器,从头到尾不掏1分钱,真正的免费无线路由器.不过,有用户在反映,火星WIFI掉线怎么办?一起来看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlGnkb.html" rel="bookmark" class="title">为什么电子邮件发送失败</a>
					<div>
						其实当我们发送电子邮件时,收到一封这样的电子邮件,内容如下: 失败原因:连接上对方邮件服务器, 但是在传输完成后被对方服务器拒绝接收. 解决方法:可能是您的邮件中包含了对方拒绝接收的内容, 请修改后重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2YojM.html" rel="bookmark" class="title">Photoshop设计中国风动漫签名</a>
					<div>
						  本PS教程主要使用Photoshop设计蒙版装饰效果的签名教程,主要使用水墨蒙版素材一起来合成,喜欢的朋友让我们一起来学习吧. 图01 图02 图03 图04         注:更多精彩教程请关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPklRM.html" rel="bookmark" class="title">PS插件Camera Raw调出广告大片人像效果</a>
					<div>
						效果 用photoshop自带插件Camera Raw调出广告大片人像效果,这是很多专业摄影师处理图片的必备武器之一. 注意是调出来的,不是处理的噢:-) 1 .开启photoshop软件,按ctrl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW2wPb.html" rel="bookmark" class="title">调色高级技巧之混合模式的惊人用法</a>
					<div>
						  混合模式大家都有过一定的了解,我也曾经讲过了不少,比如正片叠底模式.滤色模式以及上一期的色相混合模式. 混合模式是PS的一个非常重要的功能,因为PS是基于&quot;层&quot;的概念,而混合模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKYDkM.html" rel="bookmark" class="title">Photoshop制作别具一格的写真画册</a>
					<div>
						  今天给大家介绍一个&quot;另类&quot;的后期方法,来让照片看着更有&quot;感觉&quot;. 通常我们对摄影作品进行后期的基本目的就是让自己的作品更有风格.看起来更加符合自己的审美,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oLw3b.html" rel="bookmark" class="title">Laravel MVC的基本流程</a>
					<div>
						Laravel MVC框架 Java代码   http://www.golaravel.com/download/   下载镜像优化版:基于Laravel 官方 GitHub 仓库源码的基础上安装了依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6exjAb.html" rel="bookmark" class="title">浅谈JavaScript中的字符编码转换问题&lowbar;基础知识</a>
					<div>
						要获得字符的Unicode编码,可以使用string.charCodeAt(index)方法,其定义为:    strObj.charCodeAt(index)       index为指定字符在st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZWYBb.html" rel="bookmark" class="title">仿服务器端脚本方式的JS模板实现方法&lowbar;javascript技巧</a>
					<div>
						http://bbs.51js.com/thread-65160-1-1.html &lt;html xmlns=&quot;http://www.w3.org/1999/xht... &lt;hea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE66W3M.html" rel="bookmark" class="title">请问在可穿戴设备的芯片固件开发中底层驱动开发与上层应用开发的区别是什么？</a>
					<div>
						问题描述 请问在可穿戴设备的芯片固件开发中底层驱动开发与上层应用开发的区别是什么? 请问可穿戴设备的芯片固件开发中底层驱动开发与上层应用开发的区别是什么? 解决方案 固件底层驱动是面向硬件驱动,给上层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmLRaz.html" rel="bookmark" class="title">想要亲手实现一个刷新控件，你只需要掌握这些知识</a>
					<div>
						现在Android阵营里面的刷新控件很多,稂莠不齐.笔者试图从不一样的角度,在它的个性化和滚动上下一些功夫.笔者期望,这个刷新控件能像Google的SwipeRefreshLayout一样,支持大多数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWLNKp.html" rel="bookmark" class="title">helper&lowbar;string&period;h中checkCmdLineFlag函数功能以及参数含义</a>
					<div>
						问题描述 helper_string.h中checkCmdLineFlag函数功能以及参数含义 vs中cuda编程时,代码中碰到checkCmdLineFlag(argc, (const char * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRa7ap.html" rel="bookmark" class="title">软件-我有一个php文件怎么打不开？请大家帮帮忙。</a>
					<div>
						问题描述 我有一个php文件怎么打不开?请大家帮帮忙. 我有个PHP文件就是打不开?怎么办?是不是需要安装什么软件才能打开啊? 解决方案 推荐用JetBrains PhpStorm 8.0.3 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKZwOz.html" rel="bookmark" class="title">微信多客服功能正式向所有微信认证的服务号和订阅号开放</a>
					<div>
						摘要: 今晚微信悄悄开放了公众平台的客服功能,多客服功能正式向所有微信认证的服务号和订阅号开放.多客服功能简单的说,就是将人工客服团队,可以全部搬到微信公众平台上. 根据微 今晚微信悄悄开放了公众平台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRjmGp.html" rel="bookmark" class="title">汇编语言-汇编     debug</a>
					<div>
						问题描述 汇编 debug 汇编DEBUG中命令G有什么用,对DU命令的运行有影响吗? 解决方案 R:查看.改变CPU寄存器的内容D:查看内存中的内容E:改写内存中的内容U:将内存中的机器指令翻译成汇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKk6Oz.html" rel="bookmark" class="title">remote script文档&lpar;转载自微软&rpar;&lpar;六&rpar;&lowbar;远程脚本</a>
					<div>
						文档: 调用 Remote Scripting 方法异步 Remote scripting 向您提供了异步调用服务器方法的选择 ──当执行服务器方法时,用户的客户脚本继续运行.异步调用 remote  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDo2xz.html" rel="bookmark" class="title">怎么让未读消息处于监听模式呢</a>
					<div>
						问题描述 本帖最后由 甜甜汇 于 2015-2-27 13:22 编辑 怎么让未读消息处于监听模式呢 解决方案 未读消息数改变是有回调方法的--(void)didUnreadMessagesCount ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKgaDb.html" rel="bookmark" class="title">贵州省能源发展&OpenCurlyDoubleQuote;十三五&rdquo;规划：2020年光伏装机2GW以上</a>
					<div>
						日前,贵州省发改委和能源局联合印发&lt;贵州省能源发展&quot;十三五&quot;规划&gt;(以下简称&quot;规划&quot;),计划到&quot;十三五&quot;末装机规模达200万千瓦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeVlOb.html" rel="bookmark" class="title">浅谈当当优品</a>
					<div>
						在几个月以前,各个大电商都说自己计划推出自有品牌,原因是自由品牌的利润相较来说比较高,有自主定价权等等的好处. 如今,最有当当真正的做到了,推出了&quot;当当优品&quot;.&quot;当当优品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlgkAp.html" rel="bookmark" class="title">myeclipse10-项目答辩，该做些啥？？！！！急～</a>
					<div>
						问题描述 项目答辩,该做些啥??!!!急- 过几天 要做个在线竞拍系统的项目答辩,还要做ppt,ppt是把所有的功能都写上吗?还写点什么好?在哪里可以找到ppt模板?求大神们指导- 解决方案 关键是这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoYd8M.html" rel="bookmark" class="title">专访平安科技：金融业已进入深度人工智能阶段，背后是你看不到的黑科技</a>
					<div>
						近日,平安科技人脸识别团队在国际权威人脸识别公开测试集LFW(Labeled Faces in the Wild)中,获得在无限制条件下人脸验证测试(Unrestricted,Labeled Outs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqD8wp.html" rel="bookmark" class="title">测试用例设计心得</a>
					<div>
						一个好的测试用例是每个人都能执行的测试用例,不管你是否是测试人员,不管你是否了解整个软件的工作流程,你都能顺利的执行完测试用例,并对这个测试用例覆盖到的功能点有了大概的了解. 好的测试用例的设计相当了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4evA1b.html" rel="bookmark" class="title">简单配置SMB</a>
					<div>
						MCH SMB配置 yum install -y samba vim /etc/samba/smb.conf 配置文件如下 # See smb.conf.example for a more deta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrE3np.html" rel="bookmark" class="title">CSS2快速参考&lowbar;CSS&sol;HTML</a>
					<div>
						自W3C(The World Wide Web Consortium)制定了代号为Cougar的HTML的4.0版本以来,存在在Web页面中的动态效果首次被正式的承认了,W3C把动态超文本(Dynam ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
